package com.zhgd.xmgl.modules.basicdata.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhgd.xmgl.modules.basicdata.dto.PolicyDto;
import com.zhgd.xmgl.modules.basicdata.entity.Policy;
import com.zhgd.xmgl.modules.basicdata.vo.PolicyVo;

import java.util.Map;

/**
 * @Description: 政策法规
 * @author： pengj
 * @date：   2023-03-02
 * @version： V1.0
 */
public interface IPolicyService extends IService<Policy> {

    Page<Policy> toMePageList(Map<String, Object> map);

    PolicyDto getDetail(Policy notice);

    boolean saveInfo(PolicyVo noticeVo);

    boolean updateInfo(PolicyVo noticeVo);

    boolean delInfo(Policy notice);
}
